<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['uz'])) {
  $uz = check($_GET['uz']);
} elseif (isset($_POST['uz'])) {
  $uz = check($_POST['uz']);
} else {
  $uz = "";
} 

show_title('site.png', 'Перевод денег');
$config['newtitle'] = 'Перевод денег';

if (is_user()) {
  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case "index":

    echo 'В наличии: ' . moneys($udata['users_money']) . '<br /><br />';

    if ($udata['users_point'] >= $config['editmoneypoint']) {
      if (empty($uz)) {
        echo '<div class="form">';
        echo '<form action="perevod.php?act=go&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';
        echo 'Логин юзера:<br />';
        echo '<input type="text" name="uz" maxlength="20" /><br />';
        echo 'Кол-во денег:<br />';
        echo '<input type="text" name="gold" /><br />';
        echo '<input type="submit" value="Перевести" /></form></div><br />';
      } else {
        echo '<div class="form">';
        echo 'Перевод для <b>' . $uz . '</b>:<br /><br />';
        echo '<form action="perevod.php?act=go&amp;uz=' . $uz . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';
        echo 'Кол-во денег:<br />';
        echo '<input type="text" name="gold" /><br />';
        echo '<input type="submit" value="Перевести" /></form></div><br />';
      } 
    } else {
      show_error('Ошибка! Для перевода денег вам необходимо набрать ' . points($config['editmoneypoint']) . '!');
    } 
    break;
  # ###########################################################################################
  # #                                       Перевод                                          ##
  # ###########################################################################################
  case "go":

    $gold = abs(intval($_POST['gold']));
    $uid = check($_GET['uid']);

    if ($uid == $_SESSION['token']) {
      if ($gold > 0) {
        if ($udata['users_point'] >= $config['editmoneypoint']) {
          if ($gold <= $udata['users_money']) {
            if ($uz != $log) {
              if ($udata['users_timeaddlist'] < SITETIME) {
                $queryuser = DB :: $dbh -> querySingle("SELECT `users_id` FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
                if (!empty($queryuser)) {
                  $ignorstr = DB :: $dbh -> querySingle("SELECT `ignore_id` FROM `ignore` WHERE `ignore_user`=? AND `ignore_name`=? LIMIT 1;", array($uz, $log));
                  if (empty($ignorstr)) {
                    DB :: $dbh -> query("UPDATE `users` SET `users_money`=`users_money`-?, `users_timeaddlist`=? WHERE `users_login`=?;", array($gold, SITETIME + 300, $log));
                    DB :: $dbh -> query("UPDATE `users` SET `users_money`=`users_money`+?, `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?;", array($gold, $uz));
                    // ------------------------Уведомление по привату------------------------//
                    $textpriv = '<img src="../images/img/money.gif" alt="money" /> Пользователь [b]' . nickname($log) . '[/b] перечислил вам ' . moneys($gold);

                    DB :: $dbh -> query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($uz, $log, $textpriv, SITETIME));

                    echo '<b>Перевод успешно завершен! Пользователь ' . $uz . ' уведомлен о переводе</b><br /><br />';
                  } else {
                    show_error('Ошибка! Вы внесены в игнор-лист получателя!');
                  } 
                } else {
                  show_error('Ошибка! Данного адресата не существует!');
                } 
              } else {
                show_error('Ошибка! Нельзя слишком часто переводить деньги, подождите 5 минут!');
              } 
            } else {
              show_error('Ошибка! Запещено переводить деньги самому себе!');
            } 
          } else {
            show_error('Ошибка! Недостаточно средств для перевода такого количества денег!');
          } 
        } else {
          show_error('Ошибка! Для перевода денег вам необходимо набрать ' . points($config['editmoneypoint']) . '!');
        } 
      } else {
        show_error('Ошибка! Перевод невозможен указана неверная сумма!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="perevod.php?' . SID . '">Вернуться</a><br />';
    break;

  default:
    header("location: perevod.php?" . SID);
    exit;
    endswitch;
  } else {
  show_login('Вы не авторизованы, чтобы совершать операции, необходимо');
} 

echo '<img src="../images/img/games.gif" alt="image" /> <a href="../pages/index.php?act=arkada&amp;' . SID . '">Развлечения</a><br />';
echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>